Error
A valid request URL is required to generate request examples{
"results": [
{
"name": "<string>",
"projectUuid": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"organizationUuid": "<string>",
"uuid": "<string>",
"originalFilename": "<string>",
"mimeType": "<string>",
"contentSizeBytes": 123,
"alwaysIncludeInContext": true,
"summary": {
"warning": "<string>",
"relevance": "high",
"useWhen": "<string>",
"relatedExploreNames": [
"<string>"
],
"definedTerms": [
"<string>"
],
"description": "<string>"
},
"agentAccess": [
"<string>"
],
"createdByUserUuid": "<string>",
"updatedByUserUuid": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}API Reference
List agent documents
List the knowledge documents this agent can use: the organization level documents plus the ones granted to this agent in this project.
GET
/
api
/
v1
/
projects
/
{projectUuid}
/
aiAgents
/
{agentUuid}
/
documents
Error
A valid request URL is required to generate request examples{
"results": [
{
"name": "<string>",
"projectUuid": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"organizationUuid": "<string>",
"uuid": "<string>",
"originalFilename": "<string>",
"mimeType": "<string>",
"contentSizeBytes": 123,
"alwaysIncludeInContext": true,
"summary": {
"warning": "<string>",
"relevance": "high",
"useWhen": "<string>",
"relatedExploreNames": [
"<string>"
],
"definedTerms": [
"<string>"
],
"description": "<string>"
},
"agentAccess": [
"<string>"
],
"createdByUserUuid": "<string>",
"updatedByUserUuid": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}Path Parameters
Was this page helpful?